Package io.dapr.actors.runtime

# Interface ActorFactory<T extends AbstractActor>

Type Parameters:
  `T` - Actor Type to be created.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ActorFactory<T extends AbstractActor>

Creates an actor of a given type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `T` | `createActor​(ActorRuntimeContext<T> actorRuntimeContext, ActorId actorId)` | Creates an Actor.

- ## Method Details

  - ### createActor

    T createActor​(ActorRuntimeContext<T> actorRuntimeContext, ActorId actorId)
    Creates an Actor.
    Parameters:
      `actorRuntimeContext` - Actor type's context in the runtime.
      `actorId` - Actor Id.
    Returns:
      Actor or null it failed.